VkAttachmentDescription Struct Reference

`#include <vulkan.h>`

## Data Fields

VkAttachmentDescriptionFlags | flags
VkFormat | format
VkSampleCountFlagBits | samples
VkAttachmentLoadOp | loadOp
VkAttachmentStoreOp | storeOp
VkAttachmentLoadOp | stencilLoadOp
VkAttachmentStoreOp | stencilStoreOp
VkImageLayout | initialLayout
VkImageLayout | finalLayout

## Detailed Description

Definition at line 2253 of file vulkan.h.

## Field Documentation

## finalLayout

VkImageLayout VkAttachmentDescription::finalLayout

Definition at line 2262 of file vulkan.h.

## flags

VkAttachmentDescriptionFlags VkAttachmentDescription::flags

Definition at line 2254 of file vulkan.h.

## format

VkFormat VkAttachmentDescription::format

Definition at line 2255 of file vulkan.h.

## initialLayout

VkImageLayout VkAttachmentDescription::initialLayout

Definition at line 2261 of file vulkan.h.

## loadOp

VkAttachmentLoadOp VkAttachmentDescription::loadOp

Definition at line 2257 of file vulkan.h.

## samples

VkSampleCountFlagBits VkAttachmentDescription::samples

Definition at line 2256 of file vulkan.h.

## stencilLoadOp

VkAttachmentLoadOp VkAttachmentDescription::stencilLoadOp

Definition at line 2259 of file vulkan.h.

## stencilStoreOp

VkAttachmentStoreOp VkAttachmentDescription::stencilStoreOp

Definition at line 2260 of file vulkan.h.

## storeOp

VkAttachmentStoreOp VkAttachmentDescription::storeOp

Definition at line 2258 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h